* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    list-style: none;
    outline: none;
}
@font-face {
    font-family: 'SF-Pro';
    src: url('../fonts/SF-Pro.ttf');
}
@font-face {
    font-family: 'Quickless';
    src: url('../fonts/Quickless.ttf'); 
}

@font-face { font-family: Poppins-ExtraLight; src: url('../fonts/Poppins-ExtraLight.ttf'); }
@font-face { font-family: Poppins-Regular; src: url('../fonts/Poppins-Regular.ttf'); }
@font-face { font-family: Poppins-Medium; src: url('../fonts/Poppins-Medium.ttf'); }
@font-face { font-family: Poppins-SemiBold; src: url('../fonts/Poppins-SemiBold.ttf'); }
@font-face { font-family: Poppins-Bold; src: url('../fonts/Poppins-Bold.ttf'); }
@font-face { font-family: Poppins-ExtraBold; src: url('../fonts/Poppins-ExtraBold.ttf'); }
@font-face { font-family: Poppins-Black; src: url('../fonts/Poppins-Black.ttf'); }

/* SCROLL SCROLL SCROLL */
::-webkit-scrollbar {
  width: 4px;
  height: 3px;
}
::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: #FF965C;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: #9b5936;
}

/* BODY BODY BODY */
body {
    background-color: #0e0e0e; /* Set a consistent background color */
}

/* a a a */
a {
    text-decoration: none;
}

/* LOGO LOGO LOGO */
.logo {
    position: relative;
    top: -20px;
    margin-right: 150px;
    left: 0;
    z-index: 60;
}

.logo-text-top {
    font-family: 'Poppins-ExtraBold';
    font-size: 34px;
    color: #ffffff;
    margin-bottom: -12px;
}

.logo-text-down {
    font-family: 'Quickless';
    font-size: 18px;
    font-weight: 300;
    background: linear-gradient(180deg, 
    #FF965C 0%,
    #FF965C 45%,  
    #CA652E) 100%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-right: 2px;
    padding-left: 2px;
}

/* HEADER HEADER HEADER */
.header {
    display: flex;
    justify-content: left;
    align-items: left;
    height: 110px; /* Adjust as needed */
    background-color: transparent;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 50;
    transition: background-color 0.3s ease; /* Smooth transition */
    text-wrap: nowrap;
    padding-bottom: 25px;
    border-bottom: 1px solid rgba(255, 255, 255, 0);
    user-select: none;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 100px; /* Adjust spacing as needed */
    margin-left: 4%;
    margin-top: 45px;
    animation: fadeInDown; /* referring directly to the animation's @keyframe declaration */
    animation-duration: 0.8s;
}

nav ul li {
    display: inline;
    
}

nav ul li a {
    text-decoration: none;
    color: #F6F6F6;
    font-size: 15px;
    font-family: Poppins-Regular;
    transition: 
        color 0.1s ease-in-out,
        text-shadow 0.1s ease-in; 
              
}
nav ul li a:hover {
    text-shadow: rgba(255, 255, 255, 0.7) 0 0 25px;
}

nav ul li a {
  position: relative;
}


nav ul li a.active {
    color: #F6F6F6;
    font-size: 15px;
    font-family: Poppins-Regular;
    text-shadow: rgba(255, 255, 255, 0.7) 0 0 25px;
}

nav ul li a.active:hover {
    color: #ffdac2;
    text-shadow: rgba(255, 255, 255, 0.85) 0 0 30px;
}

nav ul li a.active::before {
  content: "• ";
  animation: popIn 0.3s ease-out;
}

.hero {
  padding-top: 220px;
  display: flex;
  justify-content: center;
}

.main-text {
  position: relative;
  display: inline-block;
  text-align: center;
  user-select: none;
  transform: translateX(-60%);
}

.main-text h1 {
  font-family: 'Poppins-Black';
  font-size: 110px;
  transform: translateX(-225px);
  background: linear-gradient(180deg, #ffffff 0%, #CECECE 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: #ffffff4b 0 0 15px;

  animation: fadeIn 1s;
  animation-duration: 1s;
}

.main-text h2 {
  font-family: 'Poppins-Black';
  font-size: 68px;
  font-weight: 150;
  margin-top: -60px;
  background: linear-gradient(90deg, #FF955C 0%, #D36E36 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: #ff955c3f 0 0 9px;

  animation: fadeInLeft 1s;
  animation-duration: 1s;
}

.line {
  width: 1200px;
  justify-content: center;
  transform: translateX(-70px);
  height: 1px;
  background-color: #ffffff1c;

  margin-top: 8px;
  margin-bottom: 8px;
}

/* INTRO INTRO INTRO */
.intro {
  max-width: 650px;
  margin: 100px auto 140px auto;
  text-align: left;

  transform: translateX(-250px);
}

.intro-kopje {
  font-family: Poppins-Black;
  font-size: 32px;
  margin-bottom: 20px;
  color: white;
  text-wrap: nowrap ;
}

.intro-text {
  font-family: Poppins-Regular;
  font-size: 14px;
  color: white;
  line-height: 1.7;
}

/* WAT WAAROM HOE */
.three-columns {
  display: flex;
  justify-content: center;
  gap: 40px;
  max-width: 1200px;
  margin: 0 auto 180px auto;
  transform: translateX(-50px);
}

.column {
  width: 330px;
}

.column-title {
  font-family: Poppins-Black;
  font-size: 28px;
  margin-bottom: 15px;

  background: linear-gradient(
    180deg,
    #FF955C 0%,
    #FF955C 40%,
    #D36E36
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: #d3622444 0 0 12px;
}

.column-text {
  font-family: Poppins-Regular;
  font-size: 12px;
  color: #ececec;
  line-height: 1.6;
  text-align: justify;
}


/* CHAPTER CHAPTER CHAPTER */
.chapter {
  max-width: 900px;
  margin: 160px auto;
  padding: 0 20px;
  transform: translateX(-150px);
  margin-bottom: 0px;
  
}

.chapter h3 {
  font-family: Poppins-Black;
  font-size: 18px;
  margin-bottom: 8px;
  transform: translateX(-14px);
  
  background: linear-gradient(
    180deg,
    #FF955C 0%,
    #FF955C 40%,
    #D36E36
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.chapter h4 {
  font-family: Poppins-SemiBold;
  font-size: 13px;
  margin-top: 20px;
  margin-bottom: 3px;
  color: white;
  text-decoration: underline .10px;
}

.chapter p {
  font-family: Poppins-Regular;
  font-size: 12.5px;
  line-height: 1.6;
  color: white;
  max-width: 700px;
}

/* CHAPTER-IMAGES CHAPTER-IMAGES CHAPTER-IMAGES */
.chapter-images img {
  width: 40%;
  border-radius: 8px;
  border: 1px solid #bebebe46;
  margin-top: 1rem;
  margin-bottom: 1rem;
  margin-right: 1rem;

  box-shadow:
    2px 2px 0px #FC9259,
    6px 6px 15px rgba(252, 117, 45, 0.15); 

  transition: 0.1s ease-in-out;
}

.chapter-images img:hover {
  opacity: 0.4;
  scale: 1.02;
}
/* MICHAL CONTAINER MICHAL CONTAINER MICHAL CONTAINER */

.lo5-michal-container {
    position: absolute;
  top: -145%;
  left: 770px;
  width: 100%;

  display: flex;
  flex-direction: column;
  gap: 3rem;
  animation: pulse ease-in-out;
  animation-duration: 0.8s;
}

.lo5-michal-container img {
  width: 100%;

}

iframe {
  border-radius: 6px;
  margin-top: 6px;
  margin-bottom: 6px;

    border: 1px solid #bebebe46;
}
.iframes-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* 2 columns */
  grid-template-rows: repeat(2, auto);   /* 2 rows */
  gap: 20px;                              /* space between iframes */
  justify-items: center;                  /* center iframes horizontally */
  align-items: center;                    /* center iframes vertically */
    cursor: pointer;
  padding: 20px;
}
.iframes-container iframe {
    border-radius: 6px;
  margin-top: 6px;
  margin-bottom: 6px;

    border: 1px solid #bebebe46;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
}

.portfolio-document-button {
    background: #FF965C;
    border: 1px solid #FF965C;
    padding: 10px 20px;
    font-size: 11px;
    font-family: 'Poppins-Bold';
    letter-spacing: 2px;
    cursor: pointer;
    transition: all 0.25s ease-in-out;
    border-radius: 10px;
    box-shadow: #ff955c23 0 0 25px;
    animation: flash; /* referring directly to the animation's @keyframe declaration */
    animation-duration: 2s; /* don't forget to set a duration! */
    animation-delay: 1.3s;
}

.portfolio-document-button:hover {
    background: transparent;
    border: 1px solid #FF965C;
    color: #FF965C;
    box-shadow: #ff955c4f 0 0 45px;
    scale: 1.05;
}

/* CHAPTER-IMAGES OUTSIDE CHAPTER-IMAGES OUTSIDE CHAPTER-IMAGES OUTSIDE */
.chapter-images-outside {
  position: absolute;
  top: 10%;
  left: 1000px;
  width: 35%;

  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.chapter-images-outside img {
  width: 100%;
  border-radius: 8px;
  border: 1px solid #bebebe46;

  box-shadow:
    2px 2px 0px #FC9259,
    6px 6px 15px rgba(252, 117, 45, 0.15);

  transition: 0.2s ease-in-out;
}

/* LEFT (odd images) */
.chapter-images-outside img:nth-child(odd) {
  transform: translateX(-60px);
}

/* RIGHT (even images) */
.chapter-images-outside img:nth-child(even) {
  transform: translateX(60px);
}

.chapter-images-outside img:hover {
  opacity: 0.4;
  scale: 1.02;
}

/* BACKGROUND BACKGROUND BACKGROUND */
.background {
  position: fixed;
  inset: 0;

  background-image: url("../images/michal-background-grain.png");
  background-repeat: repeat-x;
  background-size: auto 100%;

  animation: moveBg 90s linear infinite;
  z-index: -1;
}

@keyframes moveBg {
  from {
    background-position: 0 0;
  }
  to {
    background-position: -1000px 0;
  }
}

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 85px;
  margin-top: 170px;

  font-family: 'Poppins-Regular';
  font-size: 12px;
  color: rgb(233, 233, 233);
  text-align: center;
  text-decoration: none;

  /* Glass background */
  background: rgba(18, 11, 9, 0.8);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);

  /* Border + shadow */
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.8);
}
